using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DBFactory
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            
            DBOperator db = new DBOperator();
            db.Open();
            DataSet ds= db.ExceSQL("select * from Products");
            this.dataGridView1.DataSource = ds.Tables[0].DefaultView;
        }
    }
}